Subject: Re: bug#4239: 23.1.50; Pause during Emacs startup with recentf-mode

From: Michael Albinus <[email-masked]>
Date: Tue, 25 Aug 2009 12:45:51 +0200

Stephen Berman <[email-masked]> writes:

> As expected, with your patches and my init file and recentf-file, there
> was now only a slight, certainly tolerable, pause after the "cleaning
> recentf-list" message, so for me this problem is fixed, at least as far
> as Emacs is concerned.

OK, I've committed the changes to the trunk.

>> So it shall be a ping towards the system bus: either the check for
>> bluez, or the check for zeroconf.

I've updated my fix slightly: for bluez and zeroconf, I do not ping
anymore. Instead of, there is a check just for the existence of the
service names on the system bus. There is no need to autostart the
services, if they do not run already.

> Steve Berman

Best regards, Michael.